---
title: DisplayMediaStreamConstraints.video
slug: Web/API/DisplayMediaStreamConstraints/video
tags:
  - API
  - Capture
  - Constraints
  - DisplayMediaStreamConstraints
  - Media
  - Property
  - Reference
  - Screen Capture
  - Screen Capture API
  - Screen Sharing
  - Sharing
  - Video
  - display
  - getDisplayMedia
  - screen
---
<p>{{APIRef("Screen Capture API")}}</p>

<p><span class="seoSummary">The {{domxref("DisplayMediaStreamConstraints")}} dictionary's <strong><code>video</code></strong> property is used to configure the video track in the stream returned by {{domxref("MediaDevices.getDisplayMedia", "getDisplayMedia()")}}.</span> This value may be a Boolean, where <code>true</code> specifies that a default selection of input source be made (typically the entire display area of the device in use, spanning every screen in a multiple screen configuration). Since a video track must always be included, a value of <code>false</code> results in a <code>TypeError</code> exception being thrown.</p>

<p>More precise control over the format of the returned video track may be exercised by instead providing a {{domxref("MediaTrackConstraints")}} object, which is used to process the video data after obtaining it from the device but prior to adding it to the stream.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>displayMediaStreamConstraints</em>.video = <em>allowVideoFlag</em>;
<em>displayMediaStreamConstraints</em>.video = <em>mediaTrackConstraints</em>;

<em>displayMediaStreamConstraints</em> = {
  video: <em>allowVideoFlag</em> | <em>mediaTrackConstraints</em>;
}
</pre>

<h3 id="Value">Value</h3>

<p>The value may be either a Boolean or a {{domxref("MediaTrackConstraints")}} object.</p>

<p>If a Boolean is specified, a value of <code>true</code> (the default) indicates that the stream returned by {{domxref("MediaDevices.getDisplayMedia", "getDisplayMedia()")}} should be in whatever format the user agent feels is best. A value of <code>false</code> is not permitted and will throw a <code>TypeError</code>.</p>

<p>If a <code>MediaTrackConstraints</code> object is given instead, the video track will be processed to match the settings given in the constraints object.</p>

<h2 id="Constraints_specific_to_screen_sharing">Constraints specific to screen sharing</h2>

<p>{{page("/en-US/docs/Web/API/MediaTrackConstraints", "Properties of shared screen tracks")}}</p>

<h2 id="Example">Example</h2>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Screen Capture', '#dom-displaymediastreamconstraints-video', 'DisplayMediaStreamConstraints.video')}}</td>
   <td>{{Spec2('Screen Capture')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DisplayMediaStreamConstraints.video")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Screen_Capture_API">Screen Capture API</a></li>
 <li><a href="/en-US/docs/Web/API/Screen_Capture_API/Using_Screen_Capture">Using the Screen Capture API</a></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API/Constraints">Capabilities, constraints, and settings</a></li>
</ul>
